package com.clx.performance.dao.borrower;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.borrower.BorrowerConfigMapper;
import com.clx.performance.model.borrower.BorrowerConfig;
import com.clx.performance.param.pc.borrower.PageBorrowerConfigParam;
import com.clx.performance.vo.pc.borrower.BorrowerConfigVO;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 借款配置
 * @Date: 2024/01/17 13:42:57
 * @Version: 1.0
 */
public interface BorrowerConfigDao extends BaseDao<BorrowerConfigMapper, BorrowerConfig, Integer> {

    boolean update(BorrowerConfig item);
    boolean updateStatus(BorrowerConfig item);
    boolean updateDelete(BorrowerConfig item);

    Optional<BorrowerConfig> selectByBorrowerId(Integer borrowerId);

    List<BorrowerConfig> listEnable();

    IPage<BorrowerConfigVO> pageByParam(PageBorrowerConfigParam param);
}
